> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Memory Item

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/items/{itemId}
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/items/{itemId}:
    get:
      tags:
        - admin
      summary: Get Memory Item
      operationId: getMemoryItem
      parameters:
        - name: itemId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultAdminItemView'
components:
  schemas:
    SuccessResultAdminItemView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdminItemView'
    AdminItemView:
      type: object
      properties:
        itemId:
          type: integer
          format: int64
        userId:
          type: string
        agentId:
          type: string
        memoryId:
          type: string
        content:
          type: string
        scope:
          type: string
        category:
          type: string
        vectorId:
          type: string
        rawDataId:
          type: string
        contentHash:
          type: string
        occurredAt:
          type: string
          format: date-time
        observedAt:
          type: string
          format: date-time
        metadata:
          type: object
          additionalProperties: {}
        type:
          type: string
        rawDataType:
          type: string
        sourceClient:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time

````